##
##  analog.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         analog
Summary:      Website Logfile Analysing and Reporting
URL:          http://www.analog.cx/
Vendor:       Stephen Turner
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Web
License:      GPL
Version:      5.31
Release:      20030111

#   list of sources
Source0:      http://www.analog.cx/analog-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, make
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Analog is a program to measure the usage on your web server. It
    tells you which pages are most popular, which countries people are
    visiting from, which sites they tried to follow broken links from,
    and all sorts of other useful information.

%prep
    %setup -q

%build
    cd src
    libs="-lm"
    case "%{l_target}" in
        *-solaris* ) libs="-lnsl $libs" ;;
    esac
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS='%{l_cflags -O} -DDEFAULTCONFIGFILE=\"%{l_prefix}/etc/analog/analog.cfg\"' \
        LIBS="$libs"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/analog \
        $RPM_BUILD_ROOT%{l_prefix}/share/analog/image \
        $RPM_BUILD_ROOT%{l_prefix}/share/analog/lang
    %{l_shtool} install -c -s -m 755 \
        analog $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        -e 's;^# LANGFILE uk.lng;LANGFILE %{l_prefix}/share/analog/lang/uk.lng;' \
        -e 's;^# DOMAINSFILE ukdom.tab;DOMAINSFILE %{l_prefix}/share/analog/lang/ukdom.tab;' \
        -e 's;^# DESCFILE ukdesc.txt;DESCFILE %{l_prefix}/share/analog/lang/ukdesc.txt;' \
        examples/big.cfg $RPM_BUILD_ROOT%{l_prefix}/etc/analog/analog.cfg
    %{l_shtool} install -c -m 644 \
        images/* $RPM_BUILD_ROOT%{l_prefix}/share/analog/image/
    %{l_shtool} install -c -m 644 \
        lang/* $RPM_BUILD_ROOT%{l_prefix}/share/analog/lang/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/analog/analog.cfg'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

